org.eclipse.emf.cdo.spi.server

## Class RepositoryUserManager.RepositoryInjector

- java.lang.Object
- - org.eclipse.emf.cdo.spi.server.RepositoryUserManager.RepositoryInjector

- All Implemented Interfaces:
    IElementProcessor
  Enclosing class:
    RepositoryUserManager

      public static class RepositoryUserManager.RepositoryInjector
      extends java.lang.Object
      implements IElementProcessor

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepositoryInjector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `process(IManagedContainer container, java.lang.String productGroup, java.lang.String factoryType, java.lang.String description, java.lang.Object element)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryInjector

          public RepositoryInjector()

  - ### Method Detail

    - #### process

          public java.lang.Object process(IManagedContainer container,
                                          java.lang.String productGroup,
                                          java.lang.String factoryType,
                                          java.lang.String description,
                                          java.lang.Object element)

      Specified by:
        `process` in interface `IElementProcessor`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html